/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package sem;

import javax.xml.stream.Location;
import javax.xml.stream.XMLStreamException;

/**
 *
 * @author Radka
 */
class SyntaxeError extends Exception {

    private Location location;

    protected SyntaxeError(String message, Location location) {
        super(message);
        this.location = location;
    }

    SyntaxeError(XMLStreamException ex) {
        super(ex);
        location = ex.getLocation();
    }

    SyntaxeError(Exception ex, Location location) {
        super(ex);
        this.location = location;
    }

    @Override
    public String toString() {
        return getMessage() + "  " + getLocation();
    }

    /**
     * @return the location
     */
    public Location getLocation() {
        return location;
    }
}
